using EvolutStudio.tinysAPI.BaseClasses;

namespace EvolutStudio
{
    namespace VRPortfolioWork
    {
        namespace SimplePickupObjectDemo
        {
            public class SimplePickupObjectDemoView : BaseClassView
            {
                #region Public Attributes

                // Add your public attributes

                #endregion

                #region Private Attributes

                // Add your private attributes

                #endregion

                #region Public Functions

                // public event handler function for OnPointerClick
                public void OnPointerClick()
                {
                    modulInstance.Presenter.Notify(BaseClassNotification.POINTERCLICKEVENT, this);
                }

                // public event handler function for OnPointerEnter
                public void OnPointerEnter()
                {
                    modulInstance.Presenter.Notify(BaseClassNotification.POINTERENTEREVENT);
                }

                // public event handler function for OnPointerExit
                public void OnPointerExit()
                {
                    modulInstance.Presenter.Notify(BaseClassNotification.POINTEREXITEVENT);
                }

                // public event handler function for OnPointerDown
                public void OnPointerDown()
                {
                    modulInstance.Presenter.Notify(BaseClassNotification.POINTERDOWN);
                }

                // public event handler function for OnPointerUp
                public void OnPointerUp()
                {
                    modulInstance.Presenter.Notify(BaseClassNotification.POINTERUP);
                }

                // public event handler function for OnMove
                public void OnMove()
                {
                    modulInstance.Presenter.Notify(BaseClassNotification.MOVE);
                }

                #endregion

                #region Private Functions

                // Add your private functions

                #endregion

                #region Unity Events

                // Use this for initialization
                void Awake()
                {
                    modulInstance.RegisterView(this);
                }

                #endregion
            }
        }
    }
}